ByteArrayDataOutput
Date: 2016-05-24

com.google.common.io

## Interface ByteArrayDataOutput

- All Superinterfaces:
    java.io.DataOutput

      public interface ByteArrayDataOutput
      extends java.io.DataOutput

  An extension of `DataOutput` for writing to in-memory byte arrays; its methods offer identical functionality but do not throw `IOException`.
  Since:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `toByteArray()` Returns the contents that have been written to this instance, as a byte array.
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`
    `void` | `writeBoolean(boolean v)`
    `void` | `writeByte(int v)`
    `void` | `writeBytes(java.lang.String s)` Deprecated. This method is dangerous as it discards the high byte of every character. For UTF-8, use `write(s.getBytes(Charsets.UTF_8))`.
    `void` | `writeChar(int v)`
    `void` | `writeChars(java.lang.String s)`
    `void` | `writeDouble(double v)`
    `void` | `writeFloat(float v)`
    `void` | `writeInt(int v)`
    `void` | `writeLong(long v)`
    `void` | `writeShort(int v)`
    `void` | `writeUTF(java.lang.String s)`

- - ### Method Detail

    - #### write

          void write(int b)

      Specified by:
        `write` in interface `java.io.DataOutput`

    - #### write

          void write(byte[] b)

      Specified by:
        `write` in interface `java.io.DataOutput`

    - #### write

          void write(byte[] b,
                   int off,
                   int len)

      Specified by:
        `write` in interface `java.io.DataOutput`

    - #### writeBoolean

          void writeBoolean(boolean v)

      Specified by:
        `writeBoolean` in interface `java.io.DataOutput`

    - #### writeByte

          void writeByte(int v)

      Specified by:
        `writeByte` in interface `java.io.DataOutput`

    - #### writeShort

          void writeShort(int v)

      Specified by:
        `writeShort` in interface `java.io.DataOutput`

    - #### writeChar

          void writeChar(int v)

      Specified by:
        `writeChar` in interface `java.io.DataOutput`

    - #### writeInt

          void writeInt(int v)

      Specified by:
        `writeInt` in interface `java.io.DataOutput`

    - #### writeLong

          void writeLong(long v)

      Specified by:
        `writeLong` in interface `java.io.DataOutput`

    - #### writeFloat

          void writeFloat(float v)

      Specified by:
        `writeFloat` in interface `java.io.DataOutput`

    - #### writeDouble

          void writeDouble(double v)

      Specified by:
        `writeDouble` in interface `java.io.DataOutput`

    - #### writeChars

          void writeChars(java.lang.String s)

      Specified by:
        `writeChars` in interface `java.io.DataOutput`

    - #### writeUTF

          void writeUTF(java.lang.String s)

      Specified by:
        `writeUTF` in interface `java.io.DataOutput`

    - #### writeBytes

          @Deprecated
          void writeBytes(java.lang.String s)

      Deprecated. This method is dangerous as it discards the high byte of every character. For UTF-8, use `write(s.getBytes(Charsets.UTF_8))`.
      Specified by:
        `writeBytes` in interface `java.io.DataOutput`

    - #### toByteArray

          byte[] toByteArray()

      Returns the contents that have been written to this instance, as a byte array.